Skip to content
Kapten
Esc
↑↓navigate↵open⌘Jpreview

Undo a scheduled cancellation

Requires organization:update. Answers 404 without a current subscription and 409 when it is not set to be canceled.

POST/organizations/{organizationId}/billing/subscription/resume
Authorization
AuthorizationBearer token (JWT) · headerrequired

An access token issued by this service (RFC 9068), in the Authorization header as Bearer <token>.

Path parameters
organizationIdstring<uuid>required
Responses
200

The subscription, no longer set to be canceled.

idstringrequired

The Stripe subscription ID.

planstring | null

The plan of its price, null when the price is not in the catalog.

statusstringrequired

The Stripe subscription status, active or trialing for a current subscription.

seatsintegerrequired

Licensed environments.

current_period_startstring<date-time> | null
current_period_endstring<date-time> | null
cancel_at_period_endbooleanrequired
cancel_atstring<date-time> | null

When the subscription is set to end, if it is.

canceled_atstring<date-time> | null
ended_atstring<date-time> | null
trial_startstring<date-time> | null
trial_endstring<date-time> | null
default

The request failed.

errorstringrequired

Stable machine-readable code.

Allowed:invalid_requestunauthorizedforbiddennot_foundconflictgoneunavailableinternal
messagestringrequired

Human-readable explanation.

Request
curl -X POST 'https://auth.kapten.io/organizations/497f6eca-6276-4993-bfeb-53cbbbba6f08/billing/subscription/resume' \
  -H 'Authorization: Bearer YOUR_TOKEN' \
  -H 'Accept: application/json'
Response
{
  "id": "string",
  "plan": "string",
  "status": "string",
  "seats": 0,
  "current_period_start": "2019-08-24T14:15:22Z",
  "current_period_end": "2019-08-24T14:15:22Z",
  "cancel_at_period_end": true,
  "cancel_at": "2019-08-24T14:15:22Z",
  "canceled_at": "2019-08-24T14:15:22Z",
  "ended_at": "2019-08-24T14:15:22Z",
  "trial_start": "2019-08-24T14:15:22Z",
  "trial_end": "2019-08-24T14:15:22Z"
}

Was this page helpful?